Subject: Re: [PATCH 00/19] midx: incremental multi-pack indexes, part one

From: Junio C Hamano <[email-masked]>
Date: Fri, 07 Jun 2024 10:55:43 -0700

Taylor Blau <[email-masked]> writes:

> Part three doesn't exist yet, but is straightforward to do on top. None
> of the design decisions made in this series inhibit my goals for part
> three.

Nice to always see the bigger picture to come to understand where
the current series fits, but the above is a bit peculiar thing to
say.  Of course there should be no design decision the currently
posted series makes that would block your future work---otherwise
you would not be posting it.  The real question is rather the future
and yet to be written work is still feasible after the design
decisions the current series made are found to be broken and need to
be revised (if it happens---but we do not know until we see reviews).

Thanks.